## org.eclipse.datatools.sqltools.plan.internal.core
Class PlanManager

    java.lang.Object
      org.eclipse.datatools.sqltools.plan.internal.core.PlanManager

All Implemented Interfaces:
  org.eclipse.datatools.sqltools.plan.internal.IPlanManager

    public class PlanManager

extends java.lang.Object
implements org.eclipse.datatools.sqltools.plan.internal.IPlanManager

Implementation of `IPlanManager`

Author:
  Hui Cao

Constructor Summary
`PlanManager()` Constructor

Method Summary
`void` `addPlanManagerListener(org.eclipse.datatools.sqltools.plan.internal.IPlanManagerListener listener)`
`org.eclipse.datatools.sqltools.plan.internal.IPlanInstance` `createNewPlanInstance(PlanRequest request)`
`void` `fireFinish(org.eclipse.datatools.sqltools.plan.internal.IPlanInstance instance)` Fires all the listeners of the plan finish event
`org.eclipse.datatools.sqltools.plan.internal.IPlanInstance[]` `getAllPlanInstances()`
`org.eclipse.datatools.sqltools.plan.internal.IPlanInstance` `getPlanInstance(PlanRequest request)`
`void` `removeAllFinished()`
`void` `removePlanInstance(org.eclipse.datatools.sqltools.plan.internal.IPlanInstance instance)`
`void` `removePlanManagerListener(org.eclipse.datatools.sqltools.plan.internal.IPlanManagerListener listener)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlanManager

    public PlanManager()

  Constructor

Method Detail

### addPlanManagerListener

    public void addPlanManagerListener(org.eclipse.datatools.sqltools.plan.internal.IPlanManagerListener listener)

  Specified by:
    `addPlanManagerListener` in interface `org.eclipse.datatools.sqltools.plan.internal.IPlanManager`

### createNewPlanInstance

    public org.eclipse.datatools.sqltools.plan.internal.IPlanInstance createNewPlanInstance(PlanRequest request)

  Specified by:
    `createNewPlanInstance` in interface `org.eclipse.datatools.sqltools.plan.internal.IPlanManager`

### fireFinish

    public void fireFinish(org.eclipse.datatools.sqltools.plan.internal.IPlanInstance instance)

  Fires all the listeners of the plan finish event

  Parameters:
    `instance` - the plan instance

### getAllPlanInstances

    public org.eclipse.datatools.sqltools.plan.internal.IPlanInstance[] getAllPlanInstances()

  Specified by:
    `getAllPlanInstances` in interface `org.eclipse.datatools.sqltools.plan.internal.IPlanManager`

### removeAllFinished

    public void removeAllFinished()

  Specified by:
    `removeAllFinished` in interface `org.eclipse.datatools.sqltools.plan.internal.IPlanManager`

### removePlanInstance

    public void removePlanInstance(org.eclipse.datatools.sqltools.plan.internal.IPlanInstance instance)

  Specified by:
    `removePlanInstance` in interface `org.eclipse.datatools.sqltools.plan.internal.IPlanManager`

### removePlanManagerListener

    public void removePlanManagerListener(org.eclipse.datatools.sqltools.plan.internal.IPlanManagerListener listener)

  Specified by:
    `removePlanManagerListener` in interface `org.eclipse.datatools.sqltools.plan.internal.IPlanManager`

### getPlanInstance

    public org.eclipse.datatools.sqltools.plan.internal.IPlanInstance getPlanInstance(PlanRequest request)

  Specified by:
    `getPlanInstance` in interface `org.eclipse.datatools.sqltools.plan.internal.IPlanManager`